Bug 827917 - Review Request: eclipse-wtp-webservices - Tools for developing and interacting with Java Web services
Summary: Review Request: eclipse-wtp-webservices - Tools for developing and interactin...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 826014
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-03 17:32 UTC by Gerard Ryan
Modified: 2012-07-05 23:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-05 23:29:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mizdebsk: fedora-review+
limburgher: fedora-cvs+


Attachments (Terms of Use)

Description Gerard Ryan 2012-06-03 17:32:47 UTC
Spec URL: http://galileo.fedorapeople.org/eclipse-wtp-webservices/3.4.0/0.1.20120602cvs/eclipse-wtp-webservices.spec

SRPM URL: http://galileo.fedorapeople.org/eclipse-wtp-webservices/3.4.0/0.1.20120602cvs/eclipse-wtp-webservices-3.4.0-0.1.20120602cvs.fc17.src.rpm

Description:
The JST Web services component contains tools for developing and interacting with Java Web services.
Currently, this package only contains the org.eclipse.wst.ws_core feature.

This package depends on uddi4j[0] (updates-testing) and wsil4j[1](needs review)

[0] https://admin.fedoraproject.org/updates/uddi4j
[1] https://bugzilla.redhat.com/show_bug.cgi?id=826014

Fedora Account System Username: galileo

Comment 1 Mikolaj Izdebski 2012-06-11 09:49:23 UTC
This package doesn't build in mock.
Please fix this problem before I can take the review.

Comment 3 Gerard Ryan 2012-06-13 23:55:13 UTC
Also: until #826327 (javamail osgi manifest one) is applied to f17, this won't build on it.

Comment 4 Mikolaj Izdebski 2012-06-14 09:13:47 UTC
I am taking this review.

Comment 6 Mikolaj Izdebski 2012-06-14 12:38:41 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint eclipse-wtp-webservices-3.4.0-0.2.20120602cvs.fc18.noarch.rpm

eclipse-wtp-webservices.noarch: W: spelling-error %description -l en_US wst -> est, wt, st
eclipse-wtp-webservices.noarch: W: spelling-error %description -l en_US ws -> es, w, s
eclipse-wtp-webservices.noarch: W: dangling-symlink /usr/share/eclipse/dropins/wtp-webservices/eclipse/plugins/wsdl4j.jar /usr/share/java/wsdl4j.jar
eclipse-wtp-webservices.noarch: W: dangling-symlink /usr/share/eclipse/dropins/wtp-webservices/eclipse/plugins/mail.jar /usr/share/java/javamail/mail.jar
eclipse-wtp-webservices.noarch: W: dangling-symlink /usr/share/eclipse/dropins/wtp-webservices/eclipse/plugins/apache-commons-logging.jar /usr/share/java/apache-commons-logging.jar
eclipse-wtp-webservices.noarch: W: dangling-symlink /usr/share/eclipse/dropins/wtp-webservices/eclipse/plugins/log4j.jar /usr/share/java/log4j.jar
eclipse-wtp-webservices.noarch: W: dangling-symlink /usr/share/eclipse/dropins/wtp-webservices/eclipse/plugins/apache-commons-codec.jar /usr/share/java/apache-commons-codec.jar
1 packages and 0 specfiles checked; 0 errors, 7 warnings.


rpmlint eclipse-wtp-webservices-3.4.0-0.2.20120602cvs.fc18.src.rpm

eclipse-wtp-webservices.src: W: spelling-error %description -l en_US wst -> est, wt, st
eclipse-wtp-webservices.src: W: spelling-error %description -l en_US ws -> es, w, s
eclipse-wtp-webservices.src: W: invalid-url Source0: eclipse-wtp-webservices-HEAD-20120602cvs.tar.xz
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

These warnings can be ignored.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
Package has no sources or they are generated by developer
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[?]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[?]: SHOULD Latest version is packaged.
[!]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Patch0: webservices-rm-javax.wsdl-version-check-in-manifests.patch
     (webservices-rm-javax.wsdl-version-check-in-manifests.patch) Patch1:
     webservices-rm-javax.wsdl-version-check-in-wsdl15-feature.patch
     (webservices-rm-javax.wsdl-version-check-in-wsdl15-feature.patch) Patch2:
     webservices-fix-wst.ws_core-featurexml.patch (webservices-fix-wst
     .ws_core-featurexml.patch) Patch3: webservices-wsdl-unimplemented-
     methods.patch (webservices-wsdl-unimplemented-methods.patch) Patch4:
     webservices-wsdl.validation-fix-for-xerces-j2-2.11.0.patch (webservices-
     wsdl.validation-fix-for-xerces-j2-2.11.0.patch) Patch5: webservices-fix-
     wst.ws.parser-manifest.patch (webservices-fix-wst.ws.parser-
     manifest.patch)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[-]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
     Note: No javadoc subpackage present
[-]: MUST Javadoc subpackages have Requires: jpackage-utils
[-]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
     Note: No javadoc subpackage present
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant


There are no blocker issues left.

**************
** APPROVED **
**************

Comment 7 Gerard Ryan 2012-06-14 12:47:00 UTC
New Package SCM Request
=======================
Package Name: eclipse-wtp-webservices
Short Description: Tools for developing and interacting with Java Web services
Owners: galileo
Branches: f17
InitialCC:

Comment 8 Gwyn Ciesla 2012-06-14 13:24:37 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2012-06-27 16:22:21 UTC
eclipse-wtp-webservices-3.4.0-0.6.20120617cvs.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/eclipse-wtp-webservices-3.4.0-0.6.20120617cvs.fc17

Comment 10 Fedora Update System 2012-06-28 03:22:11 UTC
eclipse-wtp-webservices-3.4.0-0.6.20120617cvs.fc17 has been pushed to the Fedora 17 testing repository.

Comment 11 Fedora Update System 2012-07-05 23:29:46 UTC
eclipse-wtp-webservices-3.4.0-0.6.20120617cvs.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.